%define major		0
%define libname		%mklibname %{name} %{major}
%define develname	%mklibname %{name} -d

Name:		ell
Version:	0.71
Release:	%mkrel 1
Summary:	Embedded Linux library
License:	LGPLv2+
Group:		System/Libraries
URL:		https://01.org/ell
Source0:	https://www.kernel.org/pub/linux/libs/ell/ell-%{version}.tar.xz
Patch0:		ell-0.28-linking.patch
# Install headers needed by iwd
Patch1:		ell-headers.patch

%description
The Embedded Linux* Library (ELL) provides core, low-level functionality for
system daemons. It typically has no dependencies other than the Linux kernel, C
standard library, and libdl (for dynamic linking). While ELL is designed to be
efficient and compact enough for use on embedded Linux platforms, it is not
limited to resource-constrained systems.

%package -n	%{libname}
Summary:	Embedded Linux library
Group:		System/Libraries
Provides:	lib%{name}%{?_isa} = %{version}-%{release}

%description -n	%{libname}
The Embedded Linux* Library (ELL) provides core, low-level functionality for
system daemons. It typically has no dependencies other than the Linux kernel, C
standard library, and libdl (for dynamic linking). While ELL is designed to be
efficient and compact enough for use on embedded Linux platforms, it is not
limited to resource-constrained systems.

%package -n	%{develname}
Summary:	Embedded Linux library development files
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Headers for developing against libell.

%prep
%autosetup -p1

%build
autoreconf -fi
%configure --enable-pie
%make_build

%install
%make_install

%files -n %{libname}
%{_libdir}/libell.so.%{major}{,.*}

%files -n %{develname}
%license COPYING
%doc AUTHORS README TODO ChangeLog
%{_includedir}/ell/
%{_libdir}/libell.so
%{_libdir}/pkgconfig/ell.pc


%changelog
* Mon Dec 30 2024 daviddavid <daviddavid> 0.71-1.mga10
+ Revision: 2131605
- new version: 0.71

* Wed Nov 20 2024 daviddavid <daviddavid> 0.70-1.mga10
+ Revision: 2117916
- new version: 0.70

* Thu Sep 12 2024 ns80 <ns80> 0.69-1.mga10
+ Revision: 2095302
- new version 0.69 (mga#33559)

* Sat Aug 31 2024 wally <wally> 0.68-1.mga10
+ Revision: 2092388
- new version 0.68

* Thu Jul 11 2024 daviddavid <daviddavid> 0.67-1.mga10
+ Revision: 2080705
- new version: 0.67

* Wed Jun 05 2024 daviddavid <daviddavid> 0.66-1.mga10
+ Revision: 2070096
- new version: 0.66

* Mon May 13 2024 daviddavid <daviddavid> 0.65-1.mga10
+ Revision: 2063924
- new version: 0.65

* Sun Apr 21 2024 wally <wally> 0.64-1.mga10
+ Revision: 2060387
- new version 0.64

* Sat Mar 09 2024 wally <wally> 0.63-1.mga10
+ Revision: 2048874
- new version 0.63

* Sat Feb 10 2024 wally <wally> 0.62-1.mga10
+ Revision: 2040146
- new version 0.62

* Sun Jan 28 2024 wally <wally> 0.61-1.mga10
+ Revision: 2035578
- new version 0.61
- enable position independent executables flag -fPIE

* Thu Nov 23 2023 wally <wally> 0.60-1.mga10
+ Revision: 2009412
- new version 0.60

* Sun Aug 27 2023 wally <wally> 0.58-2.mga10
+ Revision: 1980290
- restore patch to install missing headers (for iwd)

* Sun Aug 27 2023 wally <wally> 0.58-1.mga10
+ Revision: 1980289
- new version 0.58

* Sun Aug 27 2023 wally <wally> 0.57-1.mga10
+ Revision: 1980283
- new version 0.57

* Sun Jan 15 2023 daviddavid <daviddavid> 0.55-1.mga9
+ Revision: 1933594
- new version: 0.55

* Tue Mar 15 2022 umeabot <umeabot> 0.41-2.mga9
+ Revision: 1793580
- Mageia 9 Mass Rebuild

* Sun Jun 20 2021 wally <wally> 0.41-1.mga9
+ Revision: 1731366
- new version 0.41

* Mon May 10 2021 daviddavid <daviddavid> 0.40-1.mga9
+ Revision: 1722386
- new version: 0.40

* Tue Mar 30 2021 daviddavid <daviddavid> 0.39-1.mga9
+ Revision: 1712008
- new version: 0.39

* Thu Feb 25 2021 daviddavid <daviddavid> 0.38-1.mga9
+ Revision: 1690762
- new version: 0.38

* Wed Dec 09 2020 daviddavid <daviddavid> 0.35-1.mga8
+ Revision: 1654784
- new version: 0.35

* Wed Oct 21 2020 daviddavid <daviddavid> 0.33-1.mga8
+ Revision: 1637479
- new version: 0.33

* Wed Jun 17 2020 daviddavid <daviddavid> 0.32-1.mga8
+ Revision: 1594178
- new version: 0.32

* Fri Apr 17 2020 daviddavid <daviddavid> 0.31-1.mga8
+ Revision: 1567957
- new version: 0.31

* Fri Mar 27 2020 daviddavid <daviddavid> 0.30-1.mga8
+ Revision: 1561081
- new version: 0.30

* Thu Feb 20 2020 umeabot <umeabot> 0.28-2.mga8
+ Revision: 1547653
- Mageia 8 Mass Rebuild

* Sun Feb 09 2020 daviddavid <daviddavid> 0.28-1.mga8
+ Revision: 1488225
- new version: 0.28
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Dec 14 2019 daviddavid <daviddavid> 0.27-1.mga8
+ Revision: 1466770
- new version: 0.27

* Wed Nov 20 2019 daviddavid <daviddavid> 0.26-1.mga8
+ Revision: 1461771
- initial package ell

